/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package lightcontainer;

import lightcontainer.domains.server.MulticastServerListener;
import lightcontainer.domains.server.UnicastServerListener;
import lightcontainer.interfaces.MulticastSPR;
import lightcontainer.repository.ClientHandlerRepository;
import lightcontainer.repository.FileFrontEnd;
import lightcontainer.repository.StoreProcessorRepository;

public class App {
    // Constant config server
    // -- Unicast client port
    private static final int UNICAST_PORT = 8500;
    // -- Multicast listener ip, port
    private static final String MULTICAST_IP = "226.0.0.1";
    private static final int MULTICAST_PORT = 42500;

    public static void main(String[] args) {
        // Create all repository
        ClientHandlerRepository clientRep = new ClientHandlerRepository();
        StoreProcessorRepository storeRep = new StoreProcessorRepository();

        new UnicastServerListener(clientRep, UNICAST_PORT);
        new MulticastServerListener(storeRep, MULTICAST_IP, MULTICAST_PORT);

        FileFrontEnd ffe = new FileFrontEnd(clientRep, storeRep);

        // close repo et client et server.
        clientRep.close();
        storeRep.close();
    }
}
